oci9 mit php4

Alles, was PHP betrifft, kann hier besprochen werden.

oci9 mit php4

Postby cerberus2k » 10. February 2005 11:18

hallo zusammen! ich möchte oci9 mit meinem php4 benutzen, aber in der INSTALL steht das php4 nur oci8 unterstützt. gibt es möglichkeiten oci9 zu benützen unter php4?
danke für eure hilfe.
cerberus2k
 
Posts: 8
Joined: 03. February 2005 15:38

Postby Wiedmann » 10. February 2005 11:32

Also der erste Satz im PHP-Manual:
These functions allow you to access Oracle9, Oracle8 and Oracle7 databases.

:?:
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby cerberus2k » 10. February 2005 11:46

in welchem manual findest du das? ich kann im INSTALL info file nichts finden!
cerberus2k
 
Posts: 8
Joined: 03. February 2005 15:38

Postby Wiedmann » 10. February 2005 13:05

Keine Ahnung was du für eine INSTALL meinst...

Da du ja wohl ein PHP-Problem/Frage zu einer PHP-Extension (oci8) hast, schaut man halt wie angegeben im PHP-Manual nach.

(da gibt es nur ein offizielles...)
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby cerberus2k » 10. February 2005 14:55

ich hab das mal gelesen, darum dachte ich oci8 geht nur auf oracle 8 oder hab ich da was falsch verstanden!?

LXXVIII. Oracle 8 Funktionen


Diese Funktionen gestatten den Zugriff auf Oracle7 und Oracle8 Datenbanken. Es wird hierbei das Oracle8 Call-Interface (OCI8) verwendet, welches installierte Oracle8 Client Bibliotheken (Libraries) benötigt.


Diese Schnittstelle ist flexibler als die Standard Oracle Funktionen. Es unterstützt Binding von localen und globalen PHP Variablen an Oracle Platzhalter und hat volle LOB,FILE und ROWID Unterstützung und gestattet dem Benutzer die Verwendung von Variablendefines.


Vor der Benutzung dieser Erweiterung sollten Sie sicherstellen die folgenden Umgebungsvariablen für den Webserveruser VOR dem Start des Webservers gesetzt zu haben.
cerberus2k
 
Posts: 8
Joined: 03. February 2005 15:38

Postby Wiedmann » 10. February 2005 15:06

Ob es einen Grund hat, dass in meinem letzten Post ein Link dabei war? *grübel*
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby cerberus2k » 10. February 2005 15:20

ja den hab ich auch angeschaut! da steht es geht, und auf der deutschen seite heisst es, es geht nur bis 8! keine ahnung, aber ich glaube jetzt mal dem link den du mir gegeben hast, da das update datum auch aktueller ist als auf der deutschen seite!
cerberus2k
 
Posts: 8
Joined: 03. February 2005 15:38


Return to PHP

Who is online

Users browsing this forum: No registered users and 3 guests